<!doctype html>

<meta charset="utf-8">
<title>la vie d'un échange - échange simple</title>

<script src="https://d3js.org/d3.v4.min.js" charset="utf-8"></script>
<script src="https://dagrejs.github.io/project/dagre-d3/latest/dagre-d3.min.js"></script>

<link rel="stylesheet" href="css/graph.css">

<body>
<div class="live map">
  <svg><g/></svg>
</div>

<script>
  var trade = ""

  var actors = {
    "investisseur I1": {
      "type": "exposition",
      "description" : "particulier, gérant, fonds"
    },
    "investisseur I2": {
      "type": "exposition",
      "description" : "particulier, gérant, fonds"
    },
    "banque de dépôt A": {
      "type": "depot",
      "description" : "garde les actifs des clients (monnaies, titres)",
      "inputQueue": [
        { "name": "banque de dépôt B", "label": "liquidation", "width": 40, "weight": 30 },
        { "name": "banque de dépôt C", "label": "liquidation", "width": 40, "weight": 30 },
        { "name": "courtier", "label": "feedback", "width": 40, "weight": 30 },
        { "name": "courtier", "label": "feedback", "width": 40, "weight": 30 }
      ]
    },
    "courtier": {
      "type": "exposition",
      "description" : "intermédiaire, vend et achète pour son client",
      "inputQueue": [
        { "name": "investisseur I1", "label": "ordre", "width": 40, "weight": 30 },
        { "name": "investisseur I2", "label": "ordre", "width": 40, "weight": 30 }
      ]
    },
    "apporteur de liquidité LPA": {
      "type": "exposition",
      "description" : "banque d'investissement, vend et achète",
      "inputQueue": [
        { "name": "courtier", "label": "ordre", "width": 40, "weight": 30 }
      ]
    },
    "apporteur de liquidité LPB": {
      "type": "exposition",
      "description" : "banque d'investissement, vend et achète",
      "inputQueue": [
        { "name": "courtier", "label": "ordre", "width": 40, "weight": 30 }
      ]
    },
    "banque de dépôt B": {
      "type": "depot",
      "description" : "garde les actifs des clients (monnaies, titres)",
      "inputQueue": [
        { "name": "apporteur de liquidité LPA", "label": "feedback", "width": 40, "weight": 30 },
      ]
    },
    "banque de dépôt C": {
      "type": "depot",
      "description" : "garde les actifs des clients (monnaies, titres)",
      "inputQueue": [
        { "name": "apporteur de liquidité LPB", "label": "feedback", "width": 40, "weight": 30 },
      ]
    },
  };

</script>

		<script src="js/graph.js"></script>

</body>
</html>
